Skip to main content
Operations Management/Billing Management Operations

QueryAccountBilling

QueryAccountBilling

GET/zstack/v1/billing/billings
GET/zstack/v1/billing/billings/{id}

Operation ID

QueryAccountBilling

Since

3.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • id
      longRequired

      The billing ID.

    • billingType
      StringRequired

      The billing type.

    • accountUuid
      StringRequired

      The account UUID.

    • resourceUuid
      StringRequired

      The resource UUID.

    • resourceName
      StringRequired

      The resource name.

    • spending
      doubleRequired

      The spending.

    • startTime
      longRequired

      The billing start time.

    • endTime
      longRequired

      The billing end time.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.